// VTC1020 MCU Update SDK V1.2 2018/05/07
#define VTC1020_MCU_UPDATE_API extern "C" __declspec(dllimport)


VTC1020_MCU_UPDATE_API void MCU_Update_Get_DLL_Version(int *pnMajorVersion, int *pnMinorVersion);

VTC1020_MCU_UPDATE_API int  MCU_Update_Connect();
VTC1020_MCU_UPDATE_API void MCU_Update_Disconnect();

VTC1020_MCU_UPDATE_API int MCU_Update_LoadBinFile(const char *pszFileName, char *pszVersion, unsigned int nVersionLen);
VTC1020_MCU_UPDATE_API int MCU_Update_LoadBinFile_W(const wchar_t *pszFileName, wchar_t *pszVersion, unsigned int nVersionLen);
VTC1020_MCU_UPDATE_API int MCU_Update_EnterUpdateModeAndEraseFlash();

VTC1020_MCU_UPDATE_API int MCU_Update_Start();
VTC1020_MCU_UPDATE_API int MCU_Update_IsUpdateFinish(unsigned int *pnPercent);
VTC1020_MCU_UPDATE_API int MCU_Update_DoUpdate();

VTC1020_MCU_UPDATE_API int MCU_Update_Check_Start();
VTC1020_MCU_UPDATE_API int MCU_Update_IsCheckFinish(unsigned int *pnPercent);
VTC1020_MCU_UPDATE_API int MCU_Update_DoCheck();

VTC1020_MCU_UPDATE_API int MCU_Update_Finish();
VTC1020_MCU_UPDATE_API int MCU_Update_Reboot();
